From d3fc121c80e60072765559d13598bbd2037e19c0 Mon Sep 17 00:00:00 2001
From: Jie Kang <jkang@redhat.com>
Date: Oct 19 2018 13:47:38 +0000
Subject: Update jmc packaging files


---

diff --git a/jmc/7_remove_buchen_repo.patch b/jmc/7_remove_buchen_repo.patch
index 67ccb1f..3ad6bf3 100644
--- a/jmc/7_remove_buchen_repo.patch
+++ b/jmc/7_remove_buchen_repo.patch
@@ -1,10 +1,10 @@
 # HG changeset patch
-# Parent  8009a5787a521e312ca103c918f089175bfd758b
+# Parent  e578b12592dbe1e92201ab61ccdb32a1205f9b37
 
 diff --git a/application/org.openjdk.jmc.rcp.product/pom.xml b/application/org.openjdk.jmc.rcp.product/pom.xml
 --- a/application/org.openjdk.jmc.rcp.product/pom.xml
 +++ b/application/org.openjdk.jmc.rcp.product/pom.xml
-@@ -136,11 +136,4 @@
+@@ -141,11 +141,4 @@
  		</plugins>
  		<directory>../../target/</directory>
  	</build>
diff --git a/jmc/generate_jmc_tarball.sh b/jmc/generate_jmc_tarball.sh
index b2e5c6d..dfe912c 100755
--- a/jmc/generate_jmc_tarball.sh
+++ b/jmc/generate_jmc_tarball.sh
@@ -1,9 +1,9 @@
 #!/bin/sh
 
-wget http://hg.openjdk.java.net/jmc/jmc/archive/2177c12e7894.tar.gz
-tar xzf 2177c12e7894.tar.gz
-rm 2177c12e7894.tar.gz
-mv jmc-2177c12e7894/ jmc-7.0.0/
+wget http://hg.openjdk.java.net/jmc/jmc/archive/ecb68ef82eb7.tar.gz
+tar xzf ecb68ef82eb7.tar.gz
+rm ecb68ef82eb7.tar.gz
+mv jmc-ecb68ef82eb7/ jmc-7.0.0/
 rm -r jmc-7.0.0/core/
 tar czf jmc-7.0.0.tar.gz jmc-7.0.0/
 rm -r jmc-7.0.0
diff --git a/jmc/jmc.spec b/jmc/jmc.spec
index 0f1f1b6..b45f423 100644
--- a/jmc/jmc.spec
+++ b/jmc/jmc.spec
@@ -21,18 +21,11 @@ Patch3:     3_remove_profiles.patch
 Patch4:     4_remove_localization.patch
 Patch5:     5_remove_jfx.patch
 Patch6:     6_remove_ide_jdt.patch
+Patch7:     7_remove_buchen_repo.patch
 
 BuildRequires:  ant maven-local javapackages-tools tycho tycho-extras icu
 BuildRequires:  maven-deploy-plugin buildnumber-maven-plugin maven-enforcer-plugin maven-install-plugin maven-site-plugin directory-maven-plugin fix-info-plist-maven-plugin
-#BuildRequires:  glassfish-el glassfish-annotation-api atinject glassfish-jsp-api glassfish-jsp batik batik-css
-#BuildRequires:  apache-commons-codec apache-commons-io apache-commons-jxpath apache-commons-logging
-#BuildRequires:  felix-gogo-command felix-gogo-runtime felix-gogo-shell felix-scr
-#BuildRequires:  httpcomponents-client httpcomponents-core
-#BuildRequires:  lucene-analysis lucene-analyzers-smartcn lucene apiguardian
 BuildRequires:   eclipse-platform eclipse-equinox-osgi eclipse-tests
-#BuildRequires:  eclipse-jdt eclipse-platform eclipse-ecf-core eclipse-emf-core eclipse-pde eclipse-equinox-osgi eclipse-swt eclipse-tests
-#BuildRequires:  jetty-continuation jetty-http jetty-io jetty-security jetty-server jetty-servlet jetty-util
-#BuildRequires:  hamcrest-core junit junit5 opentest4j sat4j sac xml-commons-apis xz-java
 BuildRequires:  javamail owasp-java-encoder jmc-core
 
 Requires:       java-openjdk
@@ -55,6 +48,7 @@ from Java applications running locally or deployed in production environments.
 %patch4 -p1
 %patch5 -p1
 %patch6 -p1
+%patch7 -p1
 
 %pom_disable_module releng
 %pom_disable_module l10n application
@@ -63,20 +57,26 @@ from Java applications running locally or deployed in production environments.
 
 %pom_remove_plugin com.github.spotbugs:spotbugs-maven-plugin
 
+%pom_disable_module tests application
+
 %build
-%mvn_build
+%mvn_build -j -- -Dspotbugs.skip=true
 
 %install
-%mvn_install
+
+# change jmc.ini to use system java (remove -vm option line)
+sed -i '/-vm/d' %{_builddir}/%{name}-%{version}/target/products/org.openjdk.jmc/linux/gtk/x86_64/jmc.ini
+sed -i '/..\/..\/bin\//d' %{_builddir}/%{name}-%{version}/target/products/org.openjdk.jmc/linux/gtk/x86_64/jmc.ini
+
+# move contents of target/products/org.openjdk.jmc/linux/gtk/x86_64/ to /usr/share/java/jmc
+install -d %{buildroot}%{_javadir}/jmc/
+cp -r %{_builddir}/%{name}-%{version}/target/products/org.openjdk.jmc/linux/gtk/x86_64/* %{buildroot}%{_javadir}/jmc/
 
 %files
 %license license/LICENSE.txt
 %license license/THIRDPARTYREADME.txt
 %doc README.md
 /usr/share/java/%{name}
-/usr/share/javadoc/%{name}
-/usr/share/maven-poms/%{name}
-/usr/share/maven-metadata/%{name}.xml
 
 %changelog
 * Fri Sep 14 2018 Salman Siddiqui <sasiddiq@redhat.com> - 7.0.0-1

